//---------------------------------------------------------------------------

#ifndef mainH
#define mainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include "wclIrDA.hpp"
#include "wclIrDAClients.hpp"
#include "wclIrDADevices.hpp"
//---------------------------------------------------------------------------

class TfmMain : public TForm
{
__published:	// IDE-managed Components
    TButton *btDiscover;
    TListView *lvDevices;
    TButton *btConnect;
    TButton *btDisconnect;
    TListBox *lbEvents;
    TButton *btClear;
    TButton *btSend;
    TEdit *edText;
    TwclIrDAClient *wclIrDAClient;
    TwclIrDAReceiver *wclIrDAReceiver;
        TLabel *laTimeout;
        TEdit *edTimeout;
        TLabel *laMilliseconds;
        TLabel *laReadBuffer;
        TEdit *edReadBuffer;
        TLabel *laWriteBuffer;
        TEdit *edWriteBuffer;
        TButton *btSetBuffers;
    void __fastcall btDiscoverClick(TObject *Sender);
    void __fastcall btClearClick(TObject *Sender);
    void __fastcall btDisconnectClick(TObject *Sender);
    void __fastcall btConnectClick(TObject *Sender);
    void __fastcall btSendClick(TObject *Sender);
    void __fastcall wclIrDAClientConnect(TObject *Sender, const int Error);
    void __fastcall wclIrDAClientDisconnect(TObject *Sender, const int Reason);
    void __fastcall wclIrDAClientData(TObject *Sender, const Pointer Data,
          const DWORD Size);
    void __fastcall FormDestroy(TObject *Sender);
        void __fastcall btSetBuffersClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
    __fastcall TfmMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfmMain *fmMain;
//---------------------------------------------------------------------------
#endif
